org.baraza.web

## Class BWeb

- java.lang.Object
- - org.baraza.web.BWeb

-     public class BWeb
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BWeb(String dbconfig, String xmlfile)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `checkAccess(String role)`
    `int` | `checkRole(BElement mel, String deskKey)`
    `int` | `checkRole(String deskKey)`
    `void` | `close()`
    `String` | `csvFormat(String lans)`
    `void` | `deleteForm(javax.servlet.http.HttpServletRequest request)`
    `String` | `executeFunction(String mysql)`
    `String` | `executeQuery(String mysql)`
    `String` | `getAudit()`
    `String` | `getBody(javax.servlet.http.HttpServletRequest request, String reportPath)`
    `String` | `getButtonNav()`
    `String` | `getButtons()`
    `String` | `getCalendar()`
    `String` | `getcsv(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
    `String` | `getDashboard()`
    `String` | `getDataItem()`
    `BDB` | `getDB()`
    `String` | `getEncType()`
    `String` | `getEntityName()`
    `String` | `getEvents(BElement eventView)`
    `String` | `getFieldTitles()`
    `String` | `getFieldTitles(javax.servlet.http.HttpServletRequest request)`
    `String` | `getFileButtons()`
    `String` | `getFileButtons(String callPage)`
    `String` | `getFilters()`
    `String` | `getFormButtons()`
    `String` | `getHiddenValues()`
    `String` | `getHiddenValues(javax.servlet.http.HttpServletRequest request)`
    `String` | `getJSONHeader()`
    `String` | `getJSONWhere(javax.servlet.http.HttpServletRequest request, String JWheresql)`
    `String` | `getMenu()`
    `String` | `getMenuMsg()`
    `String` | `getOperations()`
    `String` | `getOrgID()`
    `String` | `getOrgName()`
    `void` | `getParams()`
    `void` | `getParams(BElement elParam, String paramKey)`
    `String` | `getPictureField()`
    `String` | `getPictureURL()`
    `void` | `getReport(javax.servlet.http.HttpServletResponse response)`
    `BElement` | `getRoot()`
    `String` | `getSaveMsg()`
    `String` | `getSearchReturn()`
    `BElement` | `getSub(BElement subs, String substr)`
    `String` | `getSubMenu(BElement mel, int level)`
    `String` | `getTabs()`
    `String` | `getTabs(Integer i)`
    `BUser` | `getUser()`
    `String` | `getUserID()`
    `BElement` | `getView()`
    `String` | `getViewColour()`
    `String` | `getViewIcon()`
    `String` | `getViewKey()`
    `String` | `getViewName()`
    `String` | `getViewType()`
    `String` | `getWhere(javax.servlet.http.HttpServletRequest request)`
    `boolean` | `hasChildren()`
    `boolean` | `hasPasswordChange()`
    `void` | `init(javax.servlet.http.HttpServletRequest request)`
    `boolean` | `isDiary()`
    `boolean` | `isEditField()`
    `boolean` | `isFileImport()`
    `boolean` | `isForm()`
    `boolean` | `isGrid()`
    `boolean` | `isMaterial()`
    `boolean` | `locateMenu(BElement smel, String key)`
    `void` | `newUser(String userIP, String userName)`
    `String` | `palseValue(BElement el, String myvalue)`
    `String` | `receivePhoto(javax.servlet.http.HttpServletRequest request, String tmpPath)`
    `String` | `savePicture(org.apache.commons.fileupload.FileItem item, javax.servlet.ServletContext config)`
    `void` | `setMainPage(String mainPage)`
    `String` | `setOperation(String actionKey, javax.servlet.http.HttpServletRequest request)`
    `String` | `setOperations(String operation, String ids, javax.servlet.http.HttpServletRequest request)`
    `void` | `setReadOnly(boolean readOnly)`
    `void` | `setSelectAll()`
    `void` | `setUser(String userIP, String userName)`
    `void` | `setUser(String userIP, String tableName, String idCol, String nameCol, String userName)`
    `void` | `setView(javax.servlet.http.HttpServletRequest request, String newview)`
    `String` | `showFooter()`
    `String` | `submitGrid(javax.servlet.http.HttpServletRequest request)`
    `void` | `updateForm(javax.servlet.http.HttpServletRequest request)`
    `void` | `updateForm(javax.servlet.http.HttpServletRequest request, Map<String,String> reqParams)`
    `void` | `updateMultiPart(javax.servlet.http.HttpServletRequest request, javax.servlet.ServletContext config, String tmpPath)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BWeb

          public BWeb(String dbconfig,
              String xmlfile)

  - ### Method Detail

    - #### init

          public void init(javax.servlet.http.HttpServletRequest request)

    - #### setView

          public void setView(javax.servlet.http.HttpServletRequest request,
                     String newview)

    - #### checkRole

          public int checkRole(String deskKey)

    - #### checkRole

          public int checkRole(BElement mel,
                      String deskKey)

    - #### getSub

          public BElement getSub(BElement subs,
                        String substr)

    - #### setUser

          public void setUser(String userIP,
                     String userName)

    - #### newUser

          public void newUser(String userIP,
                     String userName)

    - #### setUser

          public void setUser(String userIP,
                     String tableName,
                     String idCol,
                     String nameCol,
                     String userName)

    - #### setMainPage

          public void setMainPage(String mainPage)

    - #### getMenu

          public String getMenu()

    - #### getSubMenu

          public String getSubMenu(BElement mel,
                          int level)

    - #### locateMenu

          public boolean locateMenu(BElement smel,
                           String key)

    - #### getParams

          public void getParams()

    - #### getParams

          public void getParams(BElement elParam,
                       String paramKey)

    - #### getTabs

          public String getTabs()

    - #### getTabs

          public String getTabs(Integer i)

    - #### getButtons

          public String getButtons()

    - #### getFormButtons

          public String getFormButtons()

    - #### getFileButtons

          public String getFileButtons(String callPage)

    - #### getFileButtons

          public String getFileButtons()

    - #### getDashboard

          public String getDashboard()

    - #### checkAccess

          public boolean checkAccess(String role)

    - #### getWhere

          public String getWhere(javax.servlet.http.HttpServletRequest request)

    - #### getBody

          public String getBody(javax.servlet.http.HttpServletRequest request,
                       String reportPath)

    - #### palseValue

          public String palseValue(BElement el,
                          String myvalue)

    - #### getOperations

          public String getOperations()

    - #### isDiary

          public boolean isDiary()

    - #### isForm

          public boolean isForm()

    - #### isEditField

          public boolean isEditField()

    - #### setOperation

          public String setOperation(String actionKey,
                            javax.servlet.http.HttpServletRequest request)

    - #### setOperations

          public String setOperations(String operation,
                             String ids,
                             javax.servlet.http.HttpServletRequest request)

    - #### updateMultiPart

          public void updateMultiPart(javax.servlet.http.HttpServletRequest request,
                             javax.servlet.ServletContext config,
                             String tmpPath)

    - #### savePicture

          public String savePicture(org.apache.commons.fileupload.FileItem item,
                           javax.servlet.ServletContext config)

    - #### updateForm

          public void updateForm(javax.servlet.http.HttpServletRequest request)

    - #### updateForm

          public void updateForm(javax.servlet.http.HttpServletRequest request,
                        Map<String,String> reqParams)

    - #### deleteForm

          public void deleteForm(javax.servlet.http.HttpServletRequest request)

    - #### getFieldTitles

          public String getFieldTitles()

    - #### getFieldTitles

          public String getFieldTitles(javax.servlet.http.HttpServletRequest request)

    - #### getEntityName

          public String getEntityName()

    - #### getOrgName

          public String getOrgName()

    - #### getOrgID

          public String getOrgID()

    - #### getFilters

          public String getFilters()

    - #### getHiddenValues

          public String getHiddenValues()

    - #### getHiddenValues

          public String getHiddenValues(javax.servlet.http.HttpServletRequest request)

    - #### submitGrid

          public String submitGrid(javax.servlet.http.HttpServletRequest request)

    - #### getReport

          public void getReport(javax.servlet.http.HttpServletResponse response)

    - #### getcsv

          public String getcsv(javax.servlet.http.HttpServletRequest request,
                      javax.servlet.http.HttpServletResponse response)

    - #### csvFormat

          public String csvFormat(String lans)

    - #### getSearchReturn

          public String getSearchReturn()

    - #### setSelectAll

          public void setSelectAll()

    - #### getAudit

          public String getAudit()

    - #### showFooter

          public String showFooter()

    - #### getCalendar

          public String getCalendar()

    - #### getEvents

          public String getEvents(BElement eventView)

    - #### receivePhoto

          public String receivePhoto(javax.servlet.http.HttpServletRequest request,
                            String tmpPath)

    - #### getSaveMsg

          public String getSaveMsg()

    - #### getMenuMsg

          public String getMenuMsg()

    - #### getJSONHeader

          public String getJSONHeader()

    - #### getJSONWhere

          public String getJSONWhere(javax.servlet.http.HttpServletRequest request,
                            String JWheresql)

    - #### getViewName

          public String getViewName()

    - #### getViewType

          public String getViewType()

    - #### getViewColour

          public String getViewColour()

    - #### getViewIcon

          public String getViewIcon()

    - #### isFileImport

          public boolean isFileImport()

    - #### isMaterial

          public boolean isMaterial()

    - #### getButtonNav

          public String getButtonNav()

    - #### hasPasswordChange

          public boolean hasPasswordChange()

    - #### getEncType

          public String getEncType()

    - #### hasChildren

          public boolean hasChildren()

    - #### isGrid

          public boolean isGrid()

    - #### getPictureField

          public String getPictureField()

    - #### getPictureURL

          public String getPictureURL()

    - #### getDB

          public BDB getDB()

    - #### executeFunction

          public String executeFunction(String mysql)

    - #### getUserID

          public String getUserID()

    - #### getUser

          public BUser getUser()

    - #### setReadOnly

          public void setReadOnly(boolean readOnly)

    - #### executeQuery

          public String executeQuery(String mysql)

    - #### getRoot

          public BElement getRoot()

    - #### getView

          public BElement getView()

    - #### getViewKey

          public String getViewKey()

    - #### getDataItem

          public String getDataItem()

    - #### close

          public void close()

Copyright © 2016 openBaraza. All Rights Reserved.